com.sun.messaging

## Class Queue

- java.lang.Object
- - com.sun.messaging.AdministeredObject
  - - com.sun.messaging.Destination
    - - com.sun.messaging.BasicQueue
      - - com.sun.messaging.Queue

All Implemented Interfaces:
  Serializable, Destination, Queue, Referenceable

    public class Queue
    extends BasicQueue
    implements Referenceable

A `Queue` represents an identity of a repository of messages used in the JMS Point-To-Point messaging domain.

See Also:
  `javax.jms.Queue`, Serialized Form

### Field Summary

### Fields inherited from class com.sun.messaging.AdministeredObject

`AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, cachedConfigurationMap, configuration, configurationLabels, configurationTypes, cr, storedVersion, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Queue()` Constructs an identity of a Point-To-Point Queue with the default name
`Queue(String name)` Constructs an identity of a Point-To-Point Queue with the given name

### Method Summary

Methods
`String` `getDescription()` Returns the description for this Queue.
`Reference` `getReference()` Returns a Reference Object that can be used to reconstruct this object.
`void` `setDescription(String description)` Sets a description for this Queue.
`void` `setName(String name)` Sets the name of the Queue.

### Methods inherited from class com.sun.messaging.BasicQueue

`equals, hashCode, isQueue, isTemporary`

### Methods inherited from class com.sun.messaging.Destination

`getName, getQueueName, getTopicName, setDefaultConfiguration, toString, validate_imqDestinationName`

### Methods inherited from class com.sun.messaging.AdministeredObject

`dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperty, setReadOnly`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javax.jms.Queue

`getQueueName, toString`

### Constructor Detail

#### Queue

    public Queue()

Constructs an identity of a Point-To-Point Queue with the default name

#### Queue

    public Queue(String name)
          throws JMSException

Constructs an identity of a Point-To-Point Queue with the given name

Parameters:
  `name` - The name of the Queue
Throws:
  `JMSException`

### Method Detail

#### getReference

    public Reference getReference()

Returns a Reference Object that can be used to reconstruct this object.

Specified by:
  `getReference` in interface `Referenceable`
Returns:
  The Reference Object that can be used to reconstruct this object

#### setName

    public void setName(String name)

Sets the name of the Queue. This method performs name validatation This is used by an Application Server via the Sun MQ J2EE Resource Adapter

Parameters:
  `name` - The name of the Queue
Throws:
  `IllegalArgumentException` - if name is invalid

#### setDescription

    public void setDescription(String description)

Sets a description for this Queue. The description can be any String

Parameters:
  `description` - The description for this Queue

#### getDescription

    public String getDescription()

Returns the description for this Queue.

Returns:
  The description for this Queue